"use strict";
const common_vendor = require("../../common/vendor.js");
if (!Array) {
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  const _easycom_hs_button2 = common_vendor.resolveComponent("hs-button");
  (_easycom_uni_icons2 + _easycom_hs_button2)();
}
const _easycom_uni_icons = () => "../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
const _easycom_hs_button = () => "../../components/hs-button/hs-button.js";
if (!Math) {
  (_easycom_uni_icons + _easycom_hs_button)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "success",
  setup(__props) {
    const formData = common_vendor.ref({});
    const handleGoToHouse = () => {
      var _a, _b;
      common_vendor.index.reLaunch({
        url: `/CUSTOMER/house_select/index?name=${(_a = formData.value) == null ? void 0 : _a.name}&phone=${(_b = formData.value) == null ? void 0 : _b.phone}`
      });
    };
    const handleExitMiniProgram = () => {
      common_vendor.index.exitMiniProgram();
    };
    common_vendor.onLoad((e) => {
      formData.value = e;
    });
    return (_ctx, _cache) => {
      return {
        a: common_vendor.p({
          type: "checkbox-filled",
          size: "50",
          color: "#0082fa"
        }),
        b: common_vendor.o(($event) => handleGoToHouse()),
        c: common_vendor.p({
          label: "继续绑定房屋",
          type: "primary",
          size: "md"
        }),
        d: common_vendor.o(($event) => handleExitMiniProgram()),
        e: common_vendor.p({
          label: "返回",
          type: "display",
          size: "md"
        })
      };
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-687f415e"], ["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/CUSTOMER/house_Identity/success.vue"]]);
wx.createPage(MiniProgramPage);
